﻿using System;
using System.Diagnostics;
using Xamarin.Essentials;
using DroidFix.ViewModels;
using Xamarin.Forms;
using DroidFix.Views;

namespace DroidFix
{
    public partial class App : Application
    {
        public static NavigationPage NavigationPage { get; private set; }
        private static RootPage RootPage;
        public ConnectivityViewModel conn;

        public static bool MenuIsPresented
        {
            get
            {
                return RootPage.IsPresented;
            }
            set
            {
                RootPage.IsPresented = value;
            }
        }

        public App()
        {
            InitializeComponent();
            // The root page of your application
            var menuPage = new MenuPage();
            NavigationPage = new NavigationPage(new HomePage());
            RootPage = new RootPage();
            RootPage.Master = menuPage;
            RootPage.Detail = NavigationPage;
            MainPage = RootPage;

            conn = new ConnectivityViewModel();

            Connectivity.ConnectivityChanged += (sender, args) =>
            {
                if (!conn.IsConnected())
                {
                    MainPage.DisplayAlert("Connection Issue", "Network Not Found", "OK");
                }
            };
        }

        protected override async void OnStart()
        {
            conn = new ConnectivityViewModel();

            Connectivity.ConnectivityChanged += (sender, args) =>
            {
                if (!conn.IsConnected())
                {
                    MainPage.DisplayAlert("Connection Issue", "Network Not Found", "OK");
                }
            };

        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app sleeps
        }

        private void Events_OnTapGestureRecognizerTapped(object sender, EventArgs args)
        {

        }

        private void News_OnTapGestureRecognizerTapped(object sender, EventArgs args)
        {

        }
        private void Push_OnTapGestureRecognizerTapped(object sender, EventArgs args)
        {

        }

    }
}